Description: Fixes the compatibility with the version of ecj in Debian
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/lint/cli/src/main/java/com/android/tools/lint/EcjParser.java
+++ b/lint/cli/src/main/java/com/android/tools/lint/EcjParser.java
@@ -2161,7 +2161,7 @@
             AnnotationBinding[] annotations = mBinding.getAnnotations();
             int count = annotations.length;
             if (count == 0) {
-                Binding pkgInfo = mBinding.getTypeOrPackage(PACKAGE_INFO_CHARS);
+                Binding pkgInfo = mBinding.getTypeOrPackage(PACKAGE_INFO_CHARS, mBinding.environment.module, true);
                 if (pkgInfo != null) {
                     annotations = pkgInfo.getAnnotations();
                 }
@@ -2195,13 +2195,13 @@
             } else {
                 PackageBinding defaultPackage = mBinding.environment.defaultPackage;
                 PackageBinding packageBinding =
-                        (PackageBinding) defaultPackage.getTypeOrPackage(compoundName[0]);
+                        (PackageBinding) defaultPackage.getTypeOrPackage(compoundName[0], mBinding.environment.module, true);
                 if (packageBinding == null || packageBinding instanceof ProblemPackageBinding) {
                     return null;
                 }
 
                 for (int i = 1, packageLength = compoundName.length - 1; i < packageLength; i++) {
-                    Binding next = packageBinding.getTypeOrPackage(compoundName[i]);
+                    Binding next = packageBinding.getTypeOrPackage(compoundName[i], mBinding.environment.module, true);
                     if (next == null) {
                         return null;
                     }
